Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0055683
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2024-06-05 11:042024-07-23 15:03
Reporterfermin_gasconView Statuspublic 
Assigned Tomeriem_azaf 
PriorityhighResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0055683: Display logic not applied in sub tab when is being accesed from recent documents

DescriptionDisplay logic doesn't work for a tab with level 2 if the window is open from recent documents menu.
Steps To Reproduce- Install a local environment, for example pos2-modules
- In org.openbravo.pos2 modules use devel branch xxxxxxxx
- update database and compile
- Open the window channel touchpoint type, open any record and select and open in form mode the cash payment method in Payment method tab
- The display logic works, if payment provider field is empty the tab Application mode for payment is shown. If any payment provider is selected, it disappears.
- Close the window and open the same channel touchpoint and payment method but open it from recent documents.
- The display logic for tab Application mode for payments doesn't work

This behavior only happens if tab level is 1 or more for the parent tab. If the parent tab level is 0 it works fine.

Proposed Solution.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0165593)
fermin_gascon (developer)
2024-06-05 11:07

Use branch https://gitlab.com/openbravo/devel/pmods/org.openbravo.pos2/-/tree/issue/55683?ref_type=heads [^]
(0166829)
AugustoMauch (manager)
2024-07-09 10:28

SLA updated to the standard 3-week deadline, because the issue does not meet the requirements for 5-day majos issues.

- Issue History
Date Modified Username Field Change
2024-06-05 11:04 fermin_gascon New Issue
2024-06-05 11:04 fermin_gascon Assigned To => Triage Platform Base
2024-06-05 11:04 fermin_gascon Modules => Core
2024-06-05 11:04 fermin_gascon Triggers an Emergency Pack => No
2024-06-05 11:07 fermin_gascon Note Added: 0165593
2024-07-01 10:11 lmonreal Issue Monitored: martinsdan
2024-07-09 10:28 AugustoMauch Note Added: 0166829
2024-07-15 08:54 cberner Summary Display logic not applied in sub tab when is being acceded from recent documents => Display logic not applied in sub tab when is being accesed from recent documents
2024-07-23 15:03 cberner Assigned To Triage Platform Base => meriem_azaf
2024-07-23 15:03 cberner Status new => scheduled


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker